//
//  DrawFeedViewController.m
//  BLMAdDemo
//
//  Created by BloomAd on 2022/7/4.
//

#import "DrawFeedViewController.h"
#import <BLMAdSdk/BLMAdSdk.h>
#import <Toast/Toast.h>

@interface DrawFeedViewController () <BLMDrawFeedDelegate>

@property(strong, nonatomic) BLMDrawFeedManager *drawFeedAdManager;

@end

@implementation DrawFeedViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self loadDrawFeed];
    
    [self setupViews];
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    [self.navigationController setNavigationBarHidden:YES animated:animated];
}

- (void)viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
    [self.navigationController setNavigationBarHidden:NO animated:animated];
}

- (void)setupViews {
    UIButton *backBtn = [[UIButton alloc] initWithFrame:CGRectMake(16, 40, 32, 32)];
    [backBtn setImage:[UIImage imageNamed:@"navBack"] forState:UIControlStateNormal];
    backBtn.backgroundColor = [UIColor colorWithRed:0 green:0 blue:0 alpha:0.5];
    backBtn.layer.cornerRadius = 16;
    backBtn.layer.masksToBounds = YES;
    [self.view addSubview:backBtn];
    
    [backBtn addTarget:self action:@selector(backBtnDidClick) forControlEvents:UIControlEventTouchUpInside];
}

- (void)backBtnDidClick {
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)loadDrawFeed {
    self.drawFeedAdManager = [[BLMDrawFeedManager alloc] initWithUnitId:@"df1"];
    self.drawFeedAdManager.delegate = self;
    UIViewController *vc = [self.drawFeedAdManager createDrawFeedViewController];
    [self addChildViewController:vc];
    vc.view.frame = self.view.bounds;
    [self.view addSubview:vc.view];
}

#pragma mark - BLMDrawFeedDelegate

- (void)drawFeedDidLoad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawFeedFailToLoadWithError:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
}

- (void)drawFeedVideoDidStartPlayWithVideoId:(NSString *)videoId videoType:(BLMDrawFeedType)videoType {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawFeedVideoDidPauseWithVideoId:(NSString *)videoId videoType:(BLMDrawFeedType)videoType {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawFeedVideoDidResumeWithVideoId:(NSString *)videoId videoType:(BLMDrawFeedType)videoType {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawFeedVideoDidEndPlayWithVideoId:(NSString *)videoId videoType:(BLMDrawFeedType)videoType {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawFeedVideoDidFailedToPlayWithVideoId:(NSString *)videoId videoType:(BLMDrawFeedType)videoType error:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
}

@end
