//
//  DrawVideoViewController.m
//  BLMAdDemo
//
//  Created by BloomAd on 2022/7/4.
//

#import "DrawVideoViewController.h"
#import <BLMAdSdk/BLMAdSdk.h>
#import <Toast/Toast.h>
#import "UIView+Utils.h"

@interface DrawVideoViewController () <BLMDrawVideoAdDelegate>

@property(strong, nonatomic) BLMDrawVideoAdManager *drawVideoAdManager;

@end

@implementation DrawVideoViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationItem.title = @"Draw 视频广告";
    
    [self loadDrawVideoViewAd];
}

- (void)loadDrawVideoViewAd {
    self.drawVideoAdManager = [[BLMDrawVideoAdManager alloc] initWithUnitId:@"dv1"];
    self.drawVideoAdManager.delegate = self;
    CGFloat width = self.view.width;
    CGFloat height = self.view.height;
    [self.drawVideoAdManager loadAdWithWidth:width height:height count:1];
}

#pragma mark - BLMDrawVideoAdDelegate

- (void)drawVideoAdDidLoad:(NSArray<BLMDrawVideoAd *> *)ads {
    NSLog(@"%s", __FUNCTION__);
    
    ads[0].view.frame = self.view.frame;
    [self.view addSubview:ads[0].view];
}

- (void)drawVideoAdFailToLoadWithError:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
    [self.view makeToast:[NSString stringWithFormat: @"%@", error]];
}

- (void)drawVideoAdWillVisible:(BLMDrawVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawVideoAdDidClick:(BLMDrawVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawVideoAdDidStart:(BLMDrawVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawVideoAdDidPause:(BLMDrawVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawVideoAdDidResume:(BLMDrawVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawVideoAdDidStop:(BLMDrawVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)drawVideoAdDidFail:(BLMDrawVideoAd *)ad error:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
    [self.view makeToast:[NSString stringWithFormat: @"%@", error]];
}

@end
