//
//  FullScreenInterstitialViewController.m
//  BLMAdDemo
//
//  Created by BloomAd on 2022/7/4.
//

#import "FullScreenInterstitialViewController.h"
#import <BLMAdSdk/BLMAdSdk.h>
#import <Toast/Toast.h>

@interface FullScreenInterstitialViewController () <BLMFullScreenInterstitialAdDelegate>

@property(strong, nonatomic) BLMFullScreenInterstitialAdManager *fullScreenInterstitialAdManager;
@property(strong, nonatomic) BLMFullScreenInterstitialAd *fullScreenInterstitialAd;

@end

@implementation FullScreenInterstitialViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationItem.title = @"全屏插屏广告";
}

- (IBAction)loadInterstitialAd:(id)sender {
    [self loadFullScreenInterstitialAdAutoShow:NO];
}

- (IBAction)showFullScreenInterstitialAd:(id)sender {
    if (!self.fullScreenInterstitialAd) {
        [self.view makeToast:@"广告未加载成功"];
    } else if (!self.fullScreenInterstitialAd.isValid) {
        [self.view makeToast:@"广告无效，请重新加载"];
    } else {
        [self.fullScreenInterstitialAd showAdFromRootViewController:self];
    }
}

- (IBAction)loadAndShowFullScreenInterstitialAd:(id)sender {
    [self loadFullScreenInterstitialAdAutoShow:YES];
}

- (void)loadFullScreenInterstitialAdAutoShow:(BOOL)autoShow {
    self.fullScreenInterstitialAdManager = [[BLMFullScreenInterstitialAdManager alloc] initWithUnitId:@"fi1"];
    self.fullScreenInterstitialAdManager.delegate = self;
    if (autoShow) {
        [self.fullScreenInterstitialAdManager loadAndShowAdFromRootViewController:self];
    } else {
        [self.fullScreenInterstitialAdManager loadAd];
    }
}

#pragma mark - BLMFullScreenInterstitialAdDelegate

- (void)fullScreenInterstitialAdDidLoad:(BLMFullScreenInterstitialAd *)ad {
    NSLog(@"%s", __FUNCTION__);
    [self.view makeToast:@"广告加载成功"];
    self.fullScreenInterstitialAd = ad;
}

- (void)fullScreenInterstitialAdFailToLoadWithError:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
    [self.view makeToast:[NSString stringWithFormat: @"%@", error]];
}

- (void)fullScreenInterstitialAdWillVisible:(BLMFullScreenInterstitialAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)fullScreenInterstitialAdDidClick:(BLMFullScreenInterstitialAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)fullScreenInterstitialAdDidClose:(BLMFullScreenInterstitialAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)fullScreenInterstitialAdDidFail:(BLMFullScreenInterstitialAd *)ad error:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
    [self.view makeToast:[NSString stringWithFormat: @"%@", error]];
}

@end
