//
//  RewardVideoViewController.m
//  BLMAdDemo
//
//  Created by BloomAd on 2022/7/4.
//

#import "RewardVideoViewController.h"
#import <BLMAdSdk/BLMAdSdk.h>
#import <Toast/Toast.h>

@interface RewardVideoViewController () <BLMRewardVideoAdDelegate>

@property(strong, nonatomic) BLMRewardVideoAdManager *rewardVideoAdManager;
@property(strong, nonatomic) BLMRewardVideoAd *rewardVideoAd;

@end

@implementation RewardVideoViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationItem.title = @"激励视频广告";
}

- (IBAction)loadRewardVideoAd:(id)sender {
    [self loadRewardVideoAdAutoShow:NO];
}

- (IBAction)loadAndShowRewardVideoAd:(id)sender {
    [self loadRewardVideoAdAutoShow:YES];
}

- (IBAction)showRewardVideoAd:(id)sender {
    if (!self.rewardVideoAd) {
        [self.view makeToast:@"广告未加载成功"];
    } else if (!self.rewardVideoAd.isValid) {
        [self.view makeToast:@"广告无效，请重新加载"];
    } else {
        [self.rewardVideoAd showAdFromRootViewController:self];
    }
}

- (void)loadRewardVideoAdAutoShow:(BOOL)autoShow {
    self.rewardVideoAdManager = [[BLMRewardVideoAdManager alloc] initWithUnitId:@"rv1"];
    self.rewardVideoAdManager.delegate = self;
    if (autoShow) {
        [self.rewardVideoAdManager loadAndShowAdFromRootViewController:self];
    } else {
        [self.rewardVideoAdManager loadAd];
    }
}

#pragma mark - BLMRewardVideoAdDelegate

- (void)rewardVideoAdDidLoad:(BLMRewardVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
    [self.view makeToast:@"广告加载成功"];
    self.rewardVideoAd = ad;
}

- (void)rewardVideoAdFailToLoadWithError:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
    [self.view makeToast:[NSString stringWithFormat: @"%@", error]];
}

- (void)rewardVideoAdWillVisible:(BLMRewardVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)rewardVideoAdDidVisible:(BLMRewardVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)rewardVideoAdDidReward:(BLMRewardVideoAd *)ad transId:(NSString * _Nullable)transId {
    NSLog(@"%s", __FUNCTION__);
}

- (void)rewardVideoAdDidClick:(BLMRewardVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)rewardVideoAdDidPlayFinish:(BLMRewardVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)rewardVideoAdDidClose:(BLMRewardVideoAd *)ad {
    NSLog(@"%s", __FUNCTION__);
}

- (void)rewardVideoAdDidFail:(BLMRewardVideoAd *)ad error:(NSError *)error {
    NSLog(@"%s %@", __FUNCTION__, error);
    [self.view makeToast:[NSString stringWithFormat: @"%@", error]];
}

@end
